Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010813 [DCSS] Upload: Maps and Vaults feature have not tried 2016-11-22 21:07 2017-04-09 12:46
Reporter Cheibrodos View Status public  
Assigned To gammafunk
Priority normal Resolution done  
Status resolved   Product Branch 0.21 ancient branch
Summary 0010813: Vault Dump
Description Some vaults have comments where I'm not sure about something, these can be removed.
Additional Information
Tags No tags attached.
Attached Files txt file icon vaultsub3.txt [^] (28,015 bytes) 2016-11-22 21:07 [Show Content]
txt file icon vaultsub3_1.txt [^] (24,666 bytes) 2016-12-21 23:54 [Show Content]

- Relationships

-  Notes
(0031308)
Claws (developer)
2016-11-28 02:01

Standard here is pretty decent. I wouldn't mind putting this in myself with edits, though the more further clean-up involved beforehand the easier and faster of a task that becomes:

 * Sort this big dump by file! Per-branch divisions and the variable/ .des would help look through things here.
 * The header house style I've glacially imposed over the years is NAME -> TAGS -> DEPTH -> ORIENT - > All MONS / KMONS -> All ITEM / KITEM -> All KFEAT -> Transformations. Also, tabbing line entries. Also also, put weight definitions after what they define, not before.
 * Likewise, the standard way to break up long definitions is to use a "\" before reaching 78 characters on any whole phrase (e.g., keep names together). Using new header lines is also preferred over said backslashes if applicable, though (like, I'd prefer a new MONS line for the purple draconian definitions in enchanting_chamber).
 * Don't expose the level edge with a vault wall on ORIENT: [direction] vaults- as the level edge isn't naturally seen outside of vaults or digging, it's weird, spoilery, and inelegant to show.
 * There's the occasional redundant monster definition in some of the later vaults. I'd re-organize the order of MONS definitions so that a given KMONS can cover the definition on multiple glyphs for randomized / non-randomized or floor-tile uses or whatever.

Also, per-vault comments, as warning of what else I might do to put these in and to teach a little more:
 * cheibrodos_body_horror could do a marginal amount more control over its NSUBST with another tier, as the chances for all weaklings and / or all neqoxecs for a late D vault seems unappealing.
 * cheibrodos_crypt_3hun_7po should use stone over rock for a Crypt vault, probably?
 * cheibrodos_orc_guarddog shouldn't be float- few Orc vaults use up the stairs, and the end floor already uses a floating vault, so it'll be rarer than it should be.
 * cheibrodos_overgrown_chateau is indeed a bit much difficulty-wise. I'd place it in DEPTH: Lair:3-, !Lair:$, and lower the prevalence of spiny frogs and those 6s in the random segments.
 * cheibrodos_sewer_ancient_cistern is pretty big for a portal map, especially an early one, and I've had an indefinite but clear desire to shrink the majority of the big outlier maps. I'd say the very interior itself for such an open vault could move from 44x44 to 40x40, maybe?
 * cheibrodos_slime_cold_storage can't work for Slime or Cocytus, as neither branch is supposed to have any random floor loot. If you mix up the contents a bit it might be a passable Depths vault, though it's worth noting azure jellies only have one pip of rC+ anyway (maybe they should have more?) and will thus die eventually to the clouds.
(0031360)
Cheibrodos (reporter)
2016-12-21 21:40

Thanks, I'll make some changes and resubmit
(0031361)
Cheibrodos (reporter)
2016-12-21 23:55

Resubmitted with major formatting changes and others, including removing sewer_cistern until I can rework it.
(0031577)
gammafunk (administrator)
2017-04-09 12:46

Merged in 0.20-a0-974-g3e3c7a0, thanks. Some notes about changes I made in the commit, mostly fixing small errors and syntax cleanup, and a few adjustments.

In cheibrodos_shoals_baths you have an E glyph on the first line of the vault that didn't do anything, so I replaced it with floor.

- Issue History
Date Modified Username Field Change
2016-11-22 21:07 Cheibrodos New Issue
2016-11-22 21:07 Cheibrodos File Added: vaultsub3.txt
2016-11-28 02:01 Claws Note Added: 0031308
2016-12-21 21:40 Cheibrodos Note Added: 0031360
2016-12-21 23:54 Cheibrodos File Added: vaultsub3_1.txt
2016-12-21 23:55 Cheibrodos Note Added: 0031361
2017-04-09 12:45 gammafunk Note Added: 0031576
2017-04-09 12:46 gammafunk Note Deleted: 0031576
2017-04-09 12:46 gammafunk Note Added: 0031577
2017-04-09 12:46 gammafunk Status new => resolved
2017-04-09 12:46 gammafunk Fixed in Branch => 0.20 development branch
2017-04-09 12:46 gammafunk Resolution open => done
2017-04-09 12:46 gammafunk Assigned To => gammafunk


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker